// QQ浮动广告开始 
var delta=0.15
var collection;

function floaters() {
   this.items = [];
   this.addItem = function(id,x,y,content)
      {
      document.write('<DIV id='+id+' type="text/x-scriptlet" style="Z-INDEX: 9999; POSITION: absolute; width:80px; height:60px;left:'+(typeof(x)=='string'?eval(x):x)+';top:'+(typeof(y)=='string'?eval(y):y)+'">'+content+'</DIV>');
     
      var newItem     = {};
      newItem.object    = document.getElementById(id);
      newItem.x     = x;
      newItem.y     = y;

      this.items[this.items.length]   = newItem;
      }
   this.play = function()
      {
      collection     = this.items
      setInterval('play()',10);
      }
   }
   function play()
   {
    if(screen.width<=800)
    {
     for(var i=0;i<collection.length;i++)
     {
      collection[i].object.style.display = 'none';
     }
     return;
    }
    for(var i=0;i<collection.length;i++)
    {
     var followObj   = collection[i].object;
     var followObj_x   = (typeof(collection[i].x)=='string'?eval(collection[i].x):collection[i].x);
     var followObj_y   = (typeof(collection[i].y)=='string'?eval(collection[i].y):collection[i].y);

     if(followObj.offsetLeft!=(document.documentElement.scrollLeft+followObj_x)) {
      var dx=(document.documentElement.scrollLeft+followObj_x-followObj.offsetLeft)*delta;
      dx=(dx>0?1:-1)*Math.ceil(Math.abs(dx));
      followObj.style.left=followObj.offsetLeft+dx;
      }

     if(followObj.offsetTop!=(document.documentElement.scrollTop+followObj_y)) {
      var dy=(document.documentElement.scrollTop+followObj_y-followObj.offsetTop)*delta;
      dy=(dy>0?1:-1)*Math.ceil(Math.abs(dy));
      followObj.style.top=followObj.offsetTop+dy;
      }
     followObj.style.display = '';
    }
   } 

 
var theFloaters = new floaters();
//右边浮动
	theFloaters.addItem('followDiv1','document.body.clientWidth-106',80,'<a href=#target=_blank> <A href="http://wpa.qq.com/msgrd?V=1&amp;Uin=83744378&amp;Site=www.ijavascript.cn&amp;Menu=yes" target=blank><img src=http://www.ijavascript.cn/tools/codedemo/float-drag-js-for-qqonline-30/images/QQoffline.gif alt=客服QQ border=0></a>QQ号码<br><br><A href="http://wpa.qq.com/msgrd?V=1&amp;Uin=125146711&amp;Site=www.ijavascript.cn&amp;Menu=yes" target=blank><img src=http://www.ijavascript.cn/tools/codedemo/float-drag-js-for-qqonline-30/images/QQoffline.gif alt=QQ在线技术支持 border=0></a>QQ号码');
//左边浮动

//theFloaters.addItem('followDiv2',6,80,'<A href="http://wpa.qq.com/msgrd?V=1&amp;Uin=19325450&amp;Site=www.ijavascript.cn&amp;Menu=yes" target=blank><img src=http://www.ijavascript.cn/tools/codedemo/float-drag-js-for-qqonline-30/images/QQoffline.gif alt=客服QQ border=0></a>QQ号码<br><br><a href=http://wpa.qq.com/msgrd?V=1&amp;Uin=121929982&amp;Site=www.ijavascript.cn&amp;Menu=yes"target=_blank><img src=http://www.ijavascript.cn/tools/codedemo/float-drag-js-for-qqonline-30/images/QQoffline.gif alt=QQ在线技术支持 border=0></a>QQ号码<br>');
theFloaters.play();
// QQ浮动广告结束 
